
%global qt_module qtlottie

%global short_version 6.5
Summary: Qt6 - Lottie Animation
Name:    qt6-%{qt_module}
Version: 6.5.0
Release: 1

License: GPLv3
Url:     http://www.qt.io

Source0: https://download.qt.io/official_releases/qt/%{shot5_version}/%{version}/submodules/%{qt_module}-everywhere-src-%{version}.tar.xz

BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: ninja-build
BuildRequires: openssl-devel
BuildRequires: pkgconfig(xkbcommon)
BuildRequires: qt6-qtbase-devel >= %{version}
BuildRequires: qt6-qtbase-private-devel
BuildRequires: qt6-qtdeclarative-devel >= %{version}
%{?_qt6:Requires: %{_qt6}%{?_isa} = %{_qt6_version}}

%description
Qt Lottie Animation provides a QML API for rendering graphics and animations
that are exported in JSON format by the Bodymovin plugin for Adobe After
Effects.

%package devel
Summary: Development files for %{name}
Requires: qt6-qtbase-devel%{?_isa}
%description devel
%{summary}.


%prep
%autosetup -n %{qt_module}-everywhere-src-%{version} -p1


%build
%cmake_qt6
cmake --build . %{?_smp_mflags} --verbose

%install
DESTDIR="%{buildroot}" cmake --install .


%files
%license LICENSES/GPL*
%{_qt6_libdir}/libQt6Bodymovin.so*
%{_qt6_qmldir}/Qt/labs/lottieqt/

%files devel
%dir %{_qt6_libdir}/cmake/Qt6BodymovinPrivate
%dir %{_qt6_headerdir}/QtBodymovin
%{_qt6_headerdir}/QtBodymovin
%{_qt6_libdir}/libQt6Bodymovin.so
%{_qt6_libdir}/libQt6Bodymovin.prl
%{_qt6_libdir}/cmake/Qt6BodymovinPrivate/*.cmake
%{_qt6_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtLottieTestsConfig.cmake
%{_qt6_libdir}/cmake/Qt6Qml/QmlPlugins/Qt6lottieqtplugin*.cmake
%{_qt6_archdatadir}/modules/*.json
%{_qt6_archdatadir}/mkspecs/modules/*
%{_qt6_archdatadir}/metatypes/qt6*_metatypes.json


%changelog
* Fri May 5 2023 EastDong <xudong23@iscas.ac.cn> - 6.5.0-1
- update package

* Wed Nov 16 2022 Jingwiw <wangjingwei@iscas.ac.cn> - 6.4.0-1
- init package
